package Acme::MetaSyntactic::nehi;

use strict;
use warnings;
no  warnings 'syntax';

use Acme::MetaSyntactic::List;
our @ISA = qw [Acme::MetaSyntactic::List];

our $VERSION = '2012053101';
__PACKAGE__ -> init;

1;

=head1 NAME

Acme::MetaSyntactic::nehi - Nehi flavours

=head1 DESCRIPTION

This C<< Acme::MetaSyntactic >> theme lists the flavours of soda
of the Nehi brand. The Nehi line of sodas was started by the 
Chero-Cola company in 1924. Since 2008, Nehi is a brand of the
Dr Pepper Snapple group.

This module is part of the set of C<< Acme::MetaSyntactic >> themes
found in the C<< Acme::MetaSyntactic::Themes::Abigail >> package.

=head1 SEE ALSO

L<Acme::MetaSyntactic>, L<< Acme::MetaSyntactic::List >>,
L<< http://en.wikipedia.org/wiki/Nehi >>

=head1 TRIVIA

In the movie and television series M*A*S*H, the favourite drink of
Radar is Grape Nehi.

=head1 AUTHOR

Abigail, L<< mailto:cpan@abigail.be >>.

=head1 COPYRIGHT and LICENSE

Copyright (C) 2012 by Abigail.

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the "Software"),   
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT
OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


=cut

__DATA__
# names
Dr_Nehi Blue_Raspberry Chocolate Root_Beer Berks_County_Root_Beer
Lemonade Wild_Berry Grape Peach Strawberry Orange Berry Blue_Ice_Cream
Ginger Fruit_Punch Blueberry Watermelon Lime_lemon Cherry Blue_Cream
Red Pineapple
